<script>
import MobileNavigation from "./MobileNavigation.vue";
export default {
  name: "HeaderElement",
  components: {
    MobileNavigation
  },
  data () {
    return {
      menuIsOpen: false
    };
  },
  computed: {
    isMobile () {
      return this.$root.$data.isMobile;
    }
  },
  watch: {
    /**
     * routing
     * @name $route
     * @returns {void}
     */
    $route () {
      this.menuIsOpen = false;
    }
  },
  methods: {
    toggleMenu () {
      this.menuIsOpen = !this.menuIsOpen;
    }
  }
};
</script>

<template>
  <header class="HeaderElement">
    <div
      v-if="!isMobile"
      class="logoline"
    >
      <div class="hamburg">
        <router-link to="/">
          <img
            class="logo"
            src="@/assets/platzhalter-logo.png"
            alt="Logo Platzhalter"
          />
        </router-link>
      </div>

      <div class="dashboardlogo">
        <router-link to="/about">
          <img
            class="logo"
            src="@/assets/DIPASnavigator-Logo-DE-RGB.svg"
            alt="Dipas Dashboard"
          />
        </router-link>
      </div>
    </div>

    <div
      class="bottombar"
      :class="{mobileBar: isMobile}"
    >
      <span
        v-if="isMobile"
        class="mobileHeaderTitle"
      >
        DIPAS {{ $t("ContributionDashboardHeader.title") }}
      </span>

      <div
        v-if="isMobile"
        class="mobileMenuContainer"
        @click="toggleMenu"
        @keyup.enter="toggleMenu"
      >
        <i
          v-if="!menuIsOpen"
          class="icon icon-more_vert"
        />

        <span
          v-if="!menuIsOpen"
          class="mobileHeaderMenu"
        >
          {{ $t("ContributionDashboardHeader.menu.title") }}
        </span>

        <i
          v-if="menuIsOpen"
          class="icon icon-close"
        />
      </div>
    </div>

    <MobileNavigation v-if="menuIsOpen" />
  </header>
</template>

<style lang="scss">
@import "../scss/_global.scss";

header.HeaderElement {
  position: relative;

  div.logoline {
    margin-bottom: -13px;
    z-index: 2;
    display: flex;
    align-items: center;
    justify-content: space-between;

    img.logo {
      height: 50px;
    }

    div.hamburg {
      img {
        margin: 13px 0 28px 28px;
      }
    }

    div.dashboardlogo {
      img {
        margin: 13px 28px 12px 0;
      }
    }
  }

  div.bottombar {
    width: 100%;
    height: 30px;
    background-color: $color_primary_1;
    border-bottom: 1px solid $color_primary_2;

    &.mobileBar {
      height: 40px;
      display: flex;
      align-items: center;
      justify-content: space-between;
      padding-left: 1rem;
      padding-right: 1rem;
    }

    div.mobileMenuContainer {
      display: flex;
      align-items: center;
    }

    span.mobileHeaderTitle, span.mobileHeaderMenu {
      @extend %fontdefinition_headline_2;
      color: $white;
    }

    i {
      color: $white;
      padding-left: 0.5rem;
      height: 24px;
      font-size: 1.5rem;
    }
  }
}
</style>
